cascading.flow.planner.iso.expression

## Class AndElementExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.AndElementExpression

- All Implemented Interfaces:
    Expression<FlowElement>

      public class AndElementExpression
      extends ElementExpression

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndElementExpression(ElementCapture capture, ElementExpression... matchers)`
    `AndElementExpression(ElementExpression... matchers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ElementExpression` | `and(ElementCapture capture, ElementExpression... elementMatchers)`
    `static ElementExpression` | `and(ElementExpression... elementMatchers)`
    `boolean` | `applies(PlannerContext plannerContext, ElementGraph elementGraph, FlowElement flowElement)`
    `String` | `toString()`

    - ### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

      `getCapture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AndElementExpression

          public AndElementExpression(ElementExpression... matchers)

    - #### AndElementExpression

          public AndElementExpression(ElementCapture capture,
                              ElementExpression... matchers)

  - ### Method Detail

    - #### and

          public static ElementExpression and(ElementExpression... elementMatchers)

    - #### and

          public static ElementExpression and(ElementCapture capture,
                              ElementExpression... elementMatchers)

    - #### applies

          public boolean applies(PlannerContext plannerContext,
                        ElementGraph elementGraph,
                        FlowElement flowElement)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ElementExpression`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.